Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.was.operation
Class DescribeUserHandler

    java.lang.Object
      org.deegree.ogcwebservices.wass.was.operation.DescribeUserHandler

    public class DescribeUserHandler

extends Object

`DescribeUserHandler` is the handler class for the deegree specific DescribeUser operation.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Constructor Summary
`DescribeUserHandler(WASSSecurityManager manager)` Constructs new handler with the specified manager as its data source.

Method Summary
`DescribeUserResponse` | `handleRequest(DescribeUser request)` Handles a DescribeUser request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DescribeUserHandler

    public DescribeUserHandler(WASSSecurityManager manager)

  Constructs new handler with the specified manager as its data source.

  Parameters:
    `manager` - the source of the user data

Method Detail

### handleRequest

    public DescribeUserResponse handleRequest(DescribeUser request)
                                       throws OGCWebServiceException,
                                              GeneralSecurityException

  Handles a DescribeUser request.

  Parameters:
    `request` - the request to handle
  Returns:
    an XML document containing the requested information
  Throws:
    `OGCWebServiceException`
    `GeneralSecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org